Skip to content

Create roles in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Create roles in batches, you can choose permission grouping, role description, etc.

Method name

ManagementClient.createRolesBatch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a RoleListItem[]Yes-Role list Array length limit: 50.[{"code":"my-role-code","namespace":"default","description":"this is description"}]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createRolesBatch({
    list: [
      {
        code: "my-role-code",
        description: "this is a description about the role",
        namespace: "default",
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

RoleListItem

| Name | Type | Is it required | Description | Sample value | | ----------- | ------ | -------------------------------------------- | --------------------------------------------------------- | ------------------------------------------- | --------- | ------ | --- | ------------------------------------------------------------------------------------------------------------------------ | --------- | | code | string | yes | Unique identifier of the role within the permission group | my-role-code | | name | string | no | Name of the role within the permission group | my-role-name | | description | string | no | Description of the role | this is a description about the role | namespace | string | No | The code of the permission group (permission space). If it is not passed, the default permission group will be obtained. | default |

IsSuccessDto

NameTypeIs it required?DescriptionSample value
successbooleanYesWhether the operation is successfultrue

|

Agent infrastructure for identity, memory, and web action.